<?php

namespace NoccyLabs\Hotfix\Hotfix\Loader;

class GistLoader implements LoaderInterface
{
    public function load($fix)
    {
        if (!preg_match('/^gist\:/i', $fix)) {
            return false;
        }

        $url = "https://gist.githubusercontent.com/" . substr($fix, 5) . "/raw";

        return file_get_contents($url);

    }
}
